aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Phillips <dbphillipsnz@gmail.com>2016-03-13 13:35:03 +1300
committerDavid Phillips <dbphillipsnz@gmail.com>2016-03-13 13:35:03 +1300
commitbdb31c8ca22739fa6ed15e1ec355d63af07e7c1c (patch)
tree47ec900e51141271c16dac117a44aa46922b4ffb
parentb9003460bf7abb7f35aafa9c6eae1915e25a3ac1 (diff)
downloadcue-bin-split-bdb31c8ca22739fa6ed15e1ec355d63af07e7c1c.tar.xz
Misc test addition
-rw-r--r--test/002-no-timestamp.test/run.sh11
-rw-r--r--test/002-no-timestamp.test/stderr.expected1
2 files changed, 12 insertions, 0 deletions
diff --git a/test/002-no-timestamp.test/run.sh b/test/002-no-timestamp.test/run.sh
new file mode 100644
index 0000000..122b849
--- /dev/null
+++ b/test/002-no-timestamp.test/run.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# create large file
+
+echo | ${EXECUTABLE} -r 44100 -c 1 -s 2 -i /dev/zero -f track_%d.raw
+
+if [ $? -eq 0 ]; then
+ exit 1
+else
+ exit 0
+fi
diff --git a/test/002-no-timestamp.test/stderr.expected b/test/002-no-timestamp.test/stderr.expected
new file mode 100644
index 0000000..5153def
--- /dev/null
+++ b/test/002-no-timestamp.test/stderr.expected
@@ -0,0 +1 @@
+ERROR: At least one start timestamp must be specified